unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls, ExtCtrls, Windows;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Timer1: TTimer;
    TrackBar1: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure log(const _txt:STRING);

begin

 Form1.Memo1.Lines.Add(FormatDateTime('dd.mm.yyyy|hh:nn:ss' , Now)+ '|' + _txt);

end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
 gle : DWORD;
begin

 gle := GetLastError();

 if(gle <> 0) then log('GetLastError() '+IntToStr(gle) + ' | ' + SysErrorMessage(gle))

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Timer1.Enabled := true;
end;

end.

